2017-11-17 21:17 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000591CentOS-3yumpublic2014-01-10 18:52
Reporterpali@tmapy.cz 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSCentOSOS Version
Product Version3.1 
Target VersionFixed in Version 
Summary0000591: crash of yum installer
DescriptionI wanted install sendmail package with yum
# yum install sendmail
and I have received this complain
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 025e513b
Error: Could not find the GPG Key necessary to validate pkg
/var/cache/yum/base/packages/sendmail-8.12.10-1.i386.rpm
Error: You may want to run yum clean or remove the file:
 /var/cache/yum/base/packages/sendmail-8.12.10-1.i386.rpm
Error: You may also check that you have the correct GPG keys installed

So I import GPG-KEY (I followed FAQ)
# rpm --import http://mirror.centos.org/centos/3.1/i386/RPM-GPG-KEY-CentOS-3

But yum crash everytime after that (installing sendmail) with:
# yum install sendmail
Traceback (most recent call last):
  File "/usr/bin/yum", line 30, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 326, in main
    tstest = clientStuff.create_final_ts(tsInfo)
  File "/usr/share/yum/clientStuff.py", line 1112, in create_final_ts
    rc = rpmUtils.checkSig(rpmloc)
  File "/usr/share/yum/rpmUtils.py", line 69, in checkSig
    error, siginfo = getSigInfo(hdr)
  File "/usr/share/yum/rpmUtils.py", line 85, in getSigInfo
    sigtype, sigdate, sigid = siginfo.split(',')
ValueError: unpack list of wrong size

It seams to be bug in yum.
After that I have installed sendmail package without problem with rpm

# rpm -ivh sendmail-8.12.10-1.i386.rpm
Preparing... ########################################### [100%]
   1:sendmail ########################################### [100%]
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001893

pali@tmapy.cz (reporter)

Last edited: 1970-01-01 00:00

I have tested it more and it seems to be problem in locales/python.
It crash only in czech settings. We have decimal comma instead of point (dot).

# locale
LANG=cs_CZ.UTF-8
LC_CTYPE="cs_CZ.UTF-8"
LC_NUMERIC="cs_CZ.UTF-8"
LC_TIME="cs_CZ.UTF-8"
LC_COLLATE="cs_CZ.UTF-8"
LC_MONETARY="cs_CZ.UTF-8"
LC_MESSAGES="cs_CZ.UTF-8"
LC_PAPER="cs_CZ.UTF-8"
LC_NAME="cs_CZ.UTF-8"
LC_ADDRESS="cs_CZ.UTF-8"
LC_TELEPHONE="cs_CZ.UTF-8"
LC_MEASUREMENT="cs_CZ.UTF-8"
LC_IDENTIFICATION="cs_CZ.UTF-8"
LC_ALL=


In POSIX it is OK.
# LANG=C LC_ALL=C yum install sendmail
...
Running test transaction:
Test transaction complete, Success!
sendmail 100 % done 1/1
Installed: sendmail 8.12.10-1.i386
Transaction(s) Complete

~0001894

herrold (reporter)

Last edited: 1970-01-01 00:00

interesting -- I tested locally and could not reproduce this. It sounds as
though the upstream maintainer of yum may want to know about this. I will
mention it to him.

~0001895

skvidal@phy.duke.edu (reporter)

Last edited: 1970-01-01 00:00

What version of yum is this?

It seems like the output from checking the type of key is a bit odd.
Can you recreate this other times?

~0001896

herrold (reporter)

Last edited: 1970-01-01 00:00

[herrold@squid herrold]$ rpm -q yum
yum-2.0.5-1.centos.2
[herrold@squid herrold]$

which is editted abit in the .spec file to get .conf files external to the
package -- SRPM at:
   http://mirror.caosity.org/centos-3/3.1/SRPMS/yum-2.0.5-1.centos.2.src.rpm

~0001897

pali@tmapy.cz (reporter)

Last edited: 1970-01-01 00:00

> What version of yum is this?
I have yum-2.0.5-1.centos.2

and

# locale
LANG=cs_CZ.UTF-8
LC_CTYPE="cs_CZ.UTF-8"
LC_NUMERIC="cs_CZ.UTF-8"
LC_TIME="cs_CZ.UTF-8"
LC_COLLATE="cs_CZ.UTF-8"
LC_MONETARY="cs_CZ.UTF-8"
LC_MESSAGES="cs_CZ.UTF-8"
LC_PAPER="cs_CZ.UTF-8"
LC_NAME="cs_CZ.UTF-8"
LC_ADDRESS="cs_CZ.UTF-8"
LC_TELEPHONE="cs_CZ.UTF-8"
LC_MEASUREMENT="cs_CZ.UTF-8"
LC_IDENTIFICATION="cs_CZ.UTF-8"
LC_ALL=



> It seems like the output from checking the type of key is a bit odd.
> Can you recreate this other times?
Yes, it is the same on different computers.
I am adding full output for uninstall and install ie. "ntp":

# yum remove ntp
Gathering header information file(s) from server(s)
Server: CentOS-3.1 - Addons
Server: CentOS-3.1 - Base
Server: CentOS-3.1 - Extras
Server: CentOS-3.1 - Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[erase: ntp 4.1.2-4.i386]
Is this ok [y/N]: y
Running test transaction:
Test transaction complete, Success!
warning: /var/lib/ntp/drift saved as /var/lib/ntp/drift.rpmsave
warning: /etc/ntp/step-tickers saved as /etc/ntp/step-tickers.rpmsave
Erasing: ntp 1/1
Erased: ntp 4.1.2-4.i386
Transaction(s) Complete

# yum install ntp
Gathering header information file(s) from server(s)
Server: CentOS-3.1 - Addons
Server: CentOS-3.1 - Base
Server: CentOS-3.1 - Extras
Server: CentOS-3.1 - Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[install: ntp 4.1.2-4.i386]
Is this ok [y/N]: y
Traceback (most recent call last):
  File "/usr/bin/yum", line 30, in ?
    yummain.main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 326, in main
    tstest = clientStuff.create_final_ts(tsInfo)
  File "/usr/share/yum/clientStuff.py", line 1112, in create_final_ts
    rc = rpmUtils.checkSig(rpmloc)
  File "/usr/share/yum/rpmUtils.py", line 69, in checkSig
    error, siginfo = getSigInfo(hdr)
  File "/usr/share/yum/rpmUtils.py", line 85, in getSigInfo
    sigtype, sigdate, sigid = siginfo.split(',')
ValueError: unpack list of wrong size

but with POSIX it is OK

# LANG=C yum install ntp
Gathering header information file(s) from server(s)
Server: CentOS-3.1 - Addons
Server: CentOS-3.1 - Base
Server: CentOS-3.1 - Extras
Server: CentOS-3.1 - Updates
Finding updated packages
Downloading needed headers
Resolving dependencies
Dependencies resolved
I will do the following:
[install: ntp 4.1.2-4.i386]
Is this ok [y/N]: y
Running test transaction:
Test transaction complete, Success!
ntp 100 % done 1/1
Installed: ntp 4.1.2-4.i386
Transaction(s) Complete

~0001898

skvidal@phy.duke.edu (reporter)

Last edited: 1970-01-01 00:00

checked a 2 line fix for this one into cvs tonight.

it'll be fixed in yum 2.0.8

~0001899

herrold (reporter)

Last edited: 1970-01-01 00:00

over 6 months old -- long since overtaken by events - closing; please reopen if
needed still

~0018871

Evolution (administrator)

Closing Due to Project EOL.
+Notes

-Issue History
Date Modified Username Field Change
2004-04-28 00:49 herrold Status NEW => ASSIGNED
2004-04-28 13:50 skvidal@phy.duke.edu CC => skvidal@phy.duke.edu
2005-02-23 16:27 herrold Status ASSIGNED => RESOLVED
2005-02-23 16:27 herrold Resolution => FIXED
2014-01-10 18:52 Evolution Note Added: 0018871
2014-01-10 18:52 Evolution Status resolved => closed
+Issue History